org.keycloak.subsystem.extension

## Class AbstractAddStepHandlerWithAttributes

- java.lang.Object
- - org.jboss.as.controller.AbstractAddStepHandler
  - - org.keycloak.subsystem.extension.AbstractAddStepHandlerWithAttributes

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public class AbstractAddStepHandlerWithAttributes
      extends org.jboss.as.controller.AbstractAddStepHandler

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Collection<? extends org.jboss.as.controller.AttributeDefinition>` | `attributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAddStepHandlerWithAttributes()`
    `AbstractAddStepHandlerWithAttributes(org.jboss.as.controller.AttributeDefinition... attributes)` Constructs add handler
    `AbstractAddStepHandlerWithAttributes(Collection<? extends org.jboss.as.controller.AttributeDefinition> attributes)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `populateModel(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode model)` Populate the given node in the persistent configuration model based on the values in the given operation.

    - ### Methods inherited from class org.jboss.as.controller.AbstractAddStepHandler

      `createResource, execute, performRuntime, populateModel, populateModel, requiresRuntime, requiresRuntimeVerification, rollbackRuntime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributes

          protected Collection<? extends org.jboss.as.controller.AttributeDefinition> attributes

  - ### Constructor Detail

    - #### AbstractAddStepHandlerWithAttributes

          public AbstractAddStepHandlerWithAttributes()

    - #### AbstractAddStepHandlerWithAttributes

          public AbstractAddStepHandlerWithAttributes(Collection<? extends org.jboss.as.controller.AttributeDefinition> attributes)

    - #### AbstractAddStepHandlerWithAttributes

          public AbstractAddStepHandlerWithAttributes(org.jboss.as.controller.AttributeDefinition... attributes)

      Constructs add handler
      Parameters:
        `attributes` - for which model will be populated

  - ### Method Detail

    - #### populateModel

          protected void populateModel(org.jboss.dmr.ModelNode operation,
                           org.jboss.dmr.ModelNode model)
                                throws org.jboss.as.controller.OperationFailedException

      Populate the given node in the persistent configuration model based on the values in the given operation.
      Overrides:
        `populateModel` in class `org.jboss.as.controller.AbstractAddStepHandler`
      Parameters:
        `operation` - the operation
        `model` - persistent configuration model node that corresponds to the address of `operation`
      Throws:
        `org.jboss.as.controller.OperationFailedException` - if `operation` is invalid or populating the model otherwise fails

Copyright © 2014. All Rights Reserved.